curl --request POST \
--url http://co-mind-platform-host/v1/admin/users/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"password": "<string>",
"name": "<string>",
"role": "<string>"
}
'{
"id": "user_abc123",
"email": "user@example.com",
"username": "johndoe",
"confirmed": true,
"created_at": "2023-11-07T05:31:56Z"
}Create a new user account. Admin or SysAdmin role required.
curl --request POST \
--url http://co-mind-platform-host/v1/admin/users/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"password": "<string>",
"name": "<string>",
"role": "<string>"
}
'{
"id": "user_abc123",
"email": "user@example.com",
"username": "johndoe",
"confirmed": true,
"created_at": "2023-11-07T05:31:56Z"
}Bearer token authentication. Supports two token types:
POST /v1/auth/loginPOST /v1/api-tokens, format: cmnd_<tokenId>.<secret>